title1 Census of Canada, 1971: MUNICIPALITY/CA-Short Form : B1DEMC01
title2 SAS control commands by Sushil Kumar UT/DLS 07/01
// JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
//  EXEC SAS
//SASLIB  DD DSN=
//IN  DD DSN=
//OUT  DD DSN=
//SYSIN  DD *
PROC FORMAT DDNAME=SASLIB;
VALUE  V1_F   10         = 'NEWFOUNDLAND'
             11         = 'PR EDWARD ISLAND'
             12         = 'NOVA SCOTIA'
             13         = 'NEW BRUNSWICK'
             24         = 'QUEBEC'
             35         = 'ONTARIO'
             46         = 'MANITOBA'
             47         = 'SASKATCHEWAN'
             48         = 'ALBERTA'
             59         = 'BRITISH COLUMBIA'
             60         = 'YUKON TERRITORY'
             61         = 'NW TERRITORIES'
       ;
VALUE  V7_F   1          = 'RURAL'
             2          = 'CTV'
             3          = 'URBAN'
             4          = 'URBAN'
             5          = 'URBAN'
             6          = 'URBAN'
             7          = 'URBAN'
             8          = 'URBAN'
             9          = 'URBAN'
             0          = 'NOT A MUN RECORD'
       ;
VALUE  V10_F   1          = 'LARGEST CITY'
             2          = 'REMAINDER URBANI'
             3          = 'FRINGE- URBAN'
             4          = 'FRINGE- RURAL'
       ;
VALUE  $V11_F   'A' = '>_500000 (U)'
             'B' = '100000-499999 (U'
             'C' = '30000-99999 (U)'
             'D' = '10000-29999 (U)'
             'E' = '5000-9999 (U)'
             'F' = '2500-4999 (U)'
             'G' = '1000-2499 (U)'
             'H' = '< 1000 (U)'
             '1' = '>_500000 (R)'
             '2' = '100000-499999 (R'
             '3' = '30000-99999 (R)'
             '4' = '10000-29999 (R)'
             '5' = '5000-9999 (R)'
             '6' = '2500-4999 (R)'
             '7' = '1000-2499 (R)'
             '8' = '< 1000 (R)'
       ;
VALUE  V21_F   1          = 'URBAN'
             2          = 'RURAL'
       ;
VALUE  V23_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
VALUE  V24_F   0          = 'URBAN CORE'
             1          = 'FRINGE'
       ;
VALUE  V25_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
DATA OUT.???;
INFILE IN.???;
INPUT  PROV   1-2
       ED   3-4
       EA   5-7
       COUNTY   8-9
       MUNIC   10-11
       SUBDIV   $CHAR2.
       RURAL   14-14
       CMA   15-17
       CT   18-20
       CMAPART   21-21
       MUNSIZE   $CHAR1.
       RURSIZE   $CHAR1.
       REFCODE   24-25
       ECONREG   26-27
       CMCA   28-29
       CTV   30-33
       CMA-CA   34-36
       CONTROL   37-37
       MUNSUBDV   38-38
       BLANK1   39-41
       ECONAREA   42-42
       MSUBSIZE   43-43
       RURCODE   44-46
       CMACODE   47-47
       LGECITY   48-50
       DSN   51-58
       SPBYTES   59-63
       V1   64-70
       V2   71-77
       V3   78-84
       V4   85-91
       V5   92-98
       V6   99-105
       V7   106-112
       V8   113-119
       V9   120-126
       V10   127-133 .0
       V11   134-140 .3
       V12   141-147
       V13   148-154
       V14   155-161
       V15   162-168
       V16   169-175
       V17   176-182
       V18   183-189
       V19   190-196
       V20   197-203
       V21   204-210 .0
       V22   211-217 .3
       V23   218-224
       V24   225-231
       V25   232-238
       V26   239-245
       V27   246-252
       V28   253-259
       V29   260-266
       V30   267-273
       V31   274-280
       V32   281-287 .0
       V33   288-294 .3
       V34   295-301
       V35   302-308
       V36   309-315
       V37   316-322
       V38   323-329
       V39   330-336
       V40   337-343
       V41   344-350
       V42   351-357
       V43   358-364 .0
       V44   365-371 .3
       V45   372-378
       V46   379-385
       V47   386-392
       V48   393-399
       V49   400-406
       V50   407-413
       V51   414-420
       V52   421-427
       V53   428-434
       V54   435-441
       V55   442-448
       V56   449-455
       V57   456-462
       V58   463-469
       V59   470-476 .0
       V60   477-483 .3
       V61   484-490 .0
       V62   491-497 .0
       V63   498-504 .0
       V64   505-511 .0
       V65   512-518 .0
       V66   519-525 .0
       V67   526-532 .0
       V68   533-539 .0
       V69   540-546 .3
       V70   547-553 .3
       V71   554-560 .3
       V72   561-567 .3
       V73   568-574 .3
       V74   575-581 .3
       V75   582-588 .3
       V76   589-595 .3
       V77   596-602
       V78   603-609
       V79   610-616
       V80   617-623
       V81   624-630
       V82   631-637
       V83   638-644
       V84   645-651
       V85   652-658
       V86   659-665
       V87   666-672
       V88   673-679
       V89   680-686
       V90   687-693
       V91   694-700
       V92   701-707
       V93   708-714 .0
       V94   715-721 .0
       V95   722-728 .0
       V96   729-735 .0
       V97   736-742 .0
       V98   743-749 .0
       V99   750-756 .0
       V100   757-763 .0
       V101   764-770 .3
       V102   771-777 .3
       V103   778-784 .3
       V104   785-791 .3
       V105   792-798 .3
       V106   799-805 .3
       V107   806-812 .3
       V108   813-819 .3
       V109   820-826
       V110   827-833
       V111   834-840
       V112   841-847
       V113   848-854
       V114   855-861
       V115   862-868
       V116   869-875
       V117   876-882
       V118   883-889
       V119   890-896
       V120   897-903
       V121   904-910
       V122   911-917
       V123   918-924
       V124   925-931
       V125   932-938
       V126   939-945
       V127   946-952
       V128   953-959
       V129   960-966
       V130   967-973
       V131   974-980
       V132   981-987
       V133   988-994
       V134   995-1001
       V135   1002-1008
       V136   1009-1015
       V137   1016-1022
       V138   1023-1029
       V139   1030-1036
       V140   1037-1043
       V141   1044-1050
       V142   1051-1057
       V143   1058-1064
       V144   1065-1071
       V145   1072-1078
       V146   1079-1085
       V147   1086-1092
       V148   1093-1099
       V149   1100-1106
       V150   1107-1113
       V151   1114-1120
       V152   1121-1127
       V153   1128-1134
       V154   1135-1141
       V155   1142-1148
       V156   1149-1155
       V157   1156-1162
       V158   1163-1169
       V159   1170-1176
       V160   1177-1183
       V161   1184-1190
       V162   1191-1197
       V163   1198-1204
       V164   1205-1211
       V165   1212-1218
       V166   1219-1225
       V167   1226-1232
       V168   1233-1239
       V169   1240-1246
       V170   1247-1253
       V171   1254-1260
       V172   1261-1267
       V173   1268-1274 .0
       V174   1275-1281 .0
       V175   1282-1288 .0
       V176   1289-1295 .0
       V177   1296-1302 .0
       V178   1303-1309 .0
       V179   1310-1316 .0
       V180   1317-1323 .0
       V181   1324-1330 .0
       V182   1331-1337 .0
       V183   1338-1344 .0
       V184   1345-1351 .0
       V185   1352-1358 .0
       V186   1359-1365 .0
       V187   1366-1372 .0
       V188   1373-1379 .0
       V189   1380-1386 .0
       V190   1387-1393 .0
       V191   1394-1400 .0
       V192   1401-1407 .0
       V193   1408-1414 .0
       V194   1415-1421 .0
       V195   1422-1428 .0
       V196   1429-1435 .0
       V197   1436-1442 .0
       V198   1443-1449 .0
       V199   1450-1456 .0
       V200   1457-1463 .0
       V201   1464-1470 .0
       V202   1471-1477 .0
       V203   1478-1484 .0
       V204   1485-1491 .0
       V205   1492-1498 .3
       V206   1499-2002 .3
      ;
LABEL   PROV = 'Province'
        ED = 'Electroral district'
        EA = 'Enumeration area'
        COUNTY = 'County/ Census division'
        MUNIC = 'Municipality'
        SUBDIV = 'Subdivision'
        RURAL = 'Rural/ Urban part code'
        CMA = 'Metropolitan area/ Census agglomeration'
        CT = 'Census tract'
        CMAPART = 'CMA/ CA part'
        MUNSIZE = 'Municipality size code- Urban'
        RURSIZE = 'Rural/ Urban size code'
        REFCODE = 'Reference code'
        ECONREG = 'Economic region of Statistics Canada'
        CMCA = 'Canada mannpower centre area code'
        CTV = 'City, town, village- alphabetic seq numb'
        CMA-CA = 'CMA/ CA- alphabetic seq number'
        CONTROL = 'Casper control field'
        MUNSUBDV = 'Municicpal subdivision'
        BLANK1 = 'Blank- for future use'
        ECONAREA = 'Economic area'
        MSUBSIZE = 'Municipal subdivision size'
        RURCODE = 'Rural/urban & CMA/CA codes'
        CMACODE = 'CMA/CA code'
        LGECITY = 'Largest city code'
        DSN = 'Dataset name'
        SPBYTES = 'Spare bytes'
        V1 = 'Tot popl'
        V2 = 'Tot male popl'
        V3 = 'Tot female popl'
        V4 = 'Males-age: under 1 yr'
        V5 = 'Males-age: 1 yrs'
        V6 = 'Males-age: 2 yrs'
        V7 = 'Males-age: 3 yrs'
        V8 = 'Males-age: 4 yrs'
        V9 = 'Males-age: 5 yrs'
        V10 = 'Males-age: 6 yrs'
        V11 = 'Males-age: 7 yrs'
        V12 = 'Males-age: 8 yrs'
        V13 = 'Males-age: 9 yrs'
        V14 = 'Males-age: 10 yrs'
        V15 = 'Males-age: 11 yrs'
        V16 = 'Males-age: 12 yrs'
        V17 = 'Males-age: 13 yrs'
        V18 = 'Males-age: 14 yrs'
        V19 = 'Males-age: 15 yrs'
        V20 = 'Males-age: 16 yrs'
        V21 = 'Males-age: 17 yrs'
        V22 = 'Males-age: 18 yrs'
        V23 = 'Males-age: 19 yrs'
        V24 = 'Males-age: 20 yrs'
        V25 = 'Males-age: 21 yrs'
        V26 = 'Males-age: 22 yrs'
        V27 = 'Males-age: 23 yrs'
        V28 = 'Males-age: 24 yrs'
        V29 = 'Males-age: 25 yrs'
        V30 = 'Males-age: 26 yrs'
        V31 = 'Males-age: 27 yrs'
        V32 = 'Males-age: 28 yrs'
        V33 = 'Males-age: 29 yrs'
        V34 = 'Males-age: 30 yrs'
        V35 = 'Males-age: 31 yrs'
        V36 = 'Males-age: 32 yrs'
        V37 = 'Males-age: 33 yrs'
        V38 = 'Males-age: 34 yrs'
        V39 = 'Males-age: 35 yrs'
        V40 = 'Males-age: 36 yrs'
        V41 = 'Males-age: 37 yrs'
        V42 = 'Males-age: 38 yrs'
        V43 = 'Males-age: 39 yrs'
        V44 = 'Males-age: 40 yrs'
        V45 = 'Males-age: 41 yrs'
        V46 = 'Males-age: 42 yrs'
        V47 = 'Males-age: 43 yrs'
        V48 = 'Males-age: 44 yrs'
        V49 = 'Males-age: 45 yrs'
        V50 = 'Males-age: 46 yrs'
        V51 = 'Males-age: 47 yrs'
        V52 = 'Males-age: 48 yrs'
        V53 = 'Males-age: 49 yrs'
        V54 = 'Males-age: 50 yrs'
        V55 = 'Males-age: 51 yrs'
        V56 = 'Males-age: 52 yrs'
        V57 = 'Males-age: 53 yrs'
        V58 = 'Males-age: 54 yrs'
        V59 = 'Males-age: 55 yrs'
        V60 = 'Males-age: 56 yrs'
        V61 = 'Males-age: 57 yrs'
        V62 = 'Males-age: 58 yrs'
        V63 = 'Males-age: 59 yrs'
        V64 = 'Males-age: 60 yrs'
        V65 = 'Males-age: 61 yrs'
        V66 = 'Males-age: 62 yrs'
        V67 = 'Males-age: 63 yrs'
        V68 = 'Males-age: 64 yrs'
        V69 = 'Males-age: 65 yrs'
        V70 = 'Males-age: 66 yrs'
        V71 = 'Males-age: 67 yrs'
        V72 = 'Males-age: 68 yrs'
        V73 = 'Males-age: 69 yrs'
        V74 = 'Males-age: 70 yrs'
        V75 = 'Males-age: 71 yrs'
        V76 = 'Males-age: 72 yrs'
        V77 = 'Males-age: 73 yrs'
        V78 = 'Males-age: 74 yrs'
        V79 = 'Males-age: 75 yrs'
        V80 = 'Males-age: 76 yrs'
        V81 = 'Males-age: 77 yrs'
        V82 = 'Males-age: 78 yrs'
        V83 = 'Males-age: 79 yrs'
        V84 = 'Males-age: 80 yrs'
        V85 = 'Males-age: 81 yrs'
        V86 = 'Males-age: 82 yrs'
        V87 = 'Males-age: 83 yrs'
        V88 = 'Males-age: 84 yrs'
        V89 = 'Males-age: 85 yrs'
        V90 = 'Males-age: 86 yrs'
        V91 = 'Males-age: 87 yrs'
        V92 = 'Males-age: 88 yrs'
        V93 = 'Males-age: 89 yrs'
        V94 = 'Males-age: 90 yrs'
        V95 = 'Males-age: 91 yrs'
        V96 = 'Males-age: 92 yrs'
        V97 = 'Males-age: 93 yrs'
        V98 = 'Males-age: 94 yrs'
        V99 = 'Males-age: 95 yrs'
        V100 = 'Males-age: 96 yrs'
        V101 = 'Males-age: 97 yrs'
        V102 = 'Males-age: 98 yrs'
        V103 = 'Males-age: 99 yrs'
        V104 = 'Males-age: 100 yrs & over'
        V105 = 'Females- age: under 1 yr'
        V106 = 'Females-age: 1 yr'
        V107 = 'Females-age: 2 yrs'
        V108 = 'Females-age: 3 yrs'
        V109 = 'Females-age: 4 yrs'
        V110 = 'Females-age: 5 yrs'
        V111 = 'Females-age: 6 yrs'
        V112 = 'Females-age: 7 yrs'
        V113 = 'Females-age: 8 yrs'
        V114 = 'Females-age: 9 yrs'
        V115 = 'Females-age: 10 yrs'
        V116 = 'Females-age: 11 yrs'
        V117 = 'Females-age: 12 yrs'
        V118 = 'Females-age: 13 yrs'
        V119 = 'Females-age: 14 yrs'
        V120 = 'Females-age: 15 yrs'
        V121 = 'Females-age: 16 yrs'
        V122 = 'Females-age: 17 yrs'
        V123 = 'Females-age: 18 yrs'
        V124 = 'Females-age: 19 yrs'
        V125 = 'Females-age: 20 yrs'
        V126 = 'Females-age: 21 yrs'
        V127 = 'Females-age: 22 yrs'
        V128 = 'Females-age: 23 yrs'
        V129 = 'Females-age: 24 yrs'
        V130 = 'Females-age: 25 yrs'
        V131 = 'Females-age: 26 yrs'
        V132 = 'Females-age: 27 yrs'
        V133 = 'Females-age: 28 yrs'
        V134 = 'Females-age: 29 yrs'
        V135 = 'Females-age: 30 yrs'
        V136 = 'Females-age: 31 yrs'
        V137 = 'Females-age: 32 yrs'
        V138 = 'Females-age: 33 yrs'
        V139 = 'Females-age: 34 yrs'
        V140 = 'Females-age: 35 yrs'
        V141 = 'Females-age: 36 yrs'
        V142 = 'Females-age: 37 yrs'
        V143 = 'Females-age: 38 yrs'
        V144 = 'Females-age: 39 yrs'
        V145 = 'Females-age: 40 yrs'
        V146 = 'Females-age: 41 yrs'
        V147 = 'Females-age: 42 yrs'
        V148 = 'Females-age: 43 yrs'
        V149 = 'Females-age: 44 yrs'
        V150 = 'Females-age: 45 yrs'
        V151 = 'Females-age: 46 yrs'
        V152 = 'Females-age: 47 yrs'
        V153 = 'Females-age: 48 yrs'
        V154 = 'Females-age: 49 yrs'
        V155 = 'Females-age: 50 yrs'
        V156 = 'Females-age: 51 yrs'
        V157 = 'Females-age: 52 yrs'
        V158 = 'Females-age: 53 yrs'
        V159 = 'Females-age: 54 yrs'
        V160 = 'Females-age: 55 yrs'
        V161 = 'Females-age: 56 yrs'
        V162 = 'Females-age: 57 yrs'
        V163 = 'Females-age: 58 yrs'
        V164 = 'Females-age: 59 yrs'
        V165 = 'Females-age: 60 yrs'
        V166 = 'Females-age: 61 yrs'
        V167 = 'Females-age: 62 yrs'
        V168 = 'Females-age: 63 yrs'
        V169 = 'Females-age: 64 yrs'
        V170 = 'Females-age: 65 yrs'
        V171 = 'Females-age: 66 yrs'
        V172 = 'Females-age: 67 yrs'
        V173 = 'Females-age: 68 yrs'
        V174 = 'Females-age: 69 yrs'
        V175 = 'Females-age: 70 yrs'
        V176 = 'Females-age: 71 yrs'
        V177 = 'Females-age: 72 yrs'
        V178 = 'Females-age: 73 yrs'
        V179 = 'Females-age: 74 yrs'
        V180 = 'Females-age: 75 yrs'
        V181 = 'Females-age: 76 yrs'
        V182 = 'Females-age: 77 yrs'
        V183 = 'Females-age: 78 yrs'
        V184 = 'Females-age: 79 yrs'
        V185 = 'Females-age: 80 yrs'
        V186 = 'Females-age: 81 yrs'
        V187 = 'Females-age: 82 yrs'
        V188 = 'Females-age: 83 yrs'
        V189 = 'Females-age: 84 yrs'
        V190 = 'Females-age: 85 yrs'
        V191 = 'Females-age: 86 yrs'
        V192 = 'Females-age: 87 yrs'
        V193 = 'Females-age: 88 yrs'
        V194 = 'Females-age: 89 yrs'
        V195 = 'Females-age: 90 yrs'
        V196 = 'Females-age: 91 yrs'
        V197 = 'Females-age: 92 yrs'
        V198 = 'Females-age: 93 yrs'
        V199 = 'Females-age: 94 yrs'
        V200 = 'Females-age: 95 yrs'
        V201 = 'Females-age: 96 yrs'
        V202 = 'Females-age: 97 yrs'
        V203 = 'Females-age: 98 yrs'
        V204 = 'Females-age: 99 yrs'
        V205 = 'Females-age: 100 yrs & overc : tot persons worked i'
        V206 = 'Zeroes filled cells'
      ;
FORMAT  PROV        V1_F.
        RURAL       V7_F.
        CMAPART     V10_F.
        MUNSIZE     $V11_F.
        ECONAREA    V21_F.
        RURCODE     V23_F.
        CMACODE     V24_F.
        LGECITY     V25_F.
;
